CertificateException
Date: 2016-06-24

javax.microedition.pki

## Class CertificateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.microedition.pki.CertificateException

- All Implemented Interfaces:
    Serializable

      public class CertificateException
      extends IOException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `BAD_EXTENSIONS`
    `static byte` | `BROKEN_CHAIN`
    `static byte` | `CERTIFICATE_CHAIN_TOO_LONG`
    `static byte` | `EXPIRED`
    `static byte` | `INAPPROPRIATE_KEY_USAGE`
    `static byte` | `MISSING_SIGNATURE`
    `static byte` | `NOT_YET_VALID`
    `static byte` | `ROOT_CA_EXPIRED`
    `static byte` | `SITENAME_MISMATCH`
    `static byte` | `UNAUTHORIZED_INTERMEDIATE_CA`
    `static byte` | `UNRECOGNIZED_ISSUER`
    `static byte` | `UNSUPPORTED_PUBLIC_KEY_TYPE`
    `static byte` | `UNSUPPORTED_SIGALG`
    `static byte` | `VERIFICATION_FAILED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateException(Certificate var0, byte var1)`
    `CertificateException(String var0, Certificate var1, byte var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Certificate` | `getCertificate()`
    `byte` | `getReason()`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BAD_EXTENSIONS

          public static final byte BAD_EXTENSIONS

      See Also:
        Constant Field Values

    - #### BROKEN_CHAIN

          public static final byte BROKEN_CHAIN

      See Also:
        Constant Field Values

    - #### CERTIFICATE_CHAIN_TOO_LONG

          public static final byte CERTIFICATE_CHAIN_TOO_LONG

      See Also:
        Constant Field Values

    - #### EXPIRED

          public static final byte EXPIRED

      See Also:
        Constant Field Values

    - #### INAPPROPRIATE_KEY_USAGE

          public static final byte INAPPROPRIATE_KEY_USAGE

      See Also:
        Constant Field Values

    - #### MISSING_SIGNATURE

          public static final byte MISSING_SIGNATURE

      See Also:
        Constant Field Values

    - #### NOT_YET_VALID

          public static final byte NOT_YET_VALID

      See Also:
        Constant Field Values

    - #### ROOT_CA_EXPIRED

          public static final byte ROOT_CA_EXPIRED

      See Also:
        Constant Field Values

    - #### SITENAME_MISMATCH

          public static final byte SITENAME_MISMATCH

      See Also:
        Constant Field Values

    - #### UNAUTHORIZED_INTERMEDIATE_CA

          public static final byte UNAUTHORIZED_INTERMEDIATE_CA

      See Also:
        Constant Field Values

    - #### UNRECOGNIZED_ISSUER

          public static final byte UNRECOGNIZED_ISSUER

      See Also:
        Constant Field Values

    - #### UNSUPPORTED_PUBLIC_KEY_TYPE

          public static final byte UNSUPPORTED_PUBLIC_KEY_TYPE

      See Also:
        Constant Field Values

    - #### UNSUPPORTED_SIGALG

          public static final byte UNSUPPORTED_SIGALG

      See Also:
        Constant Field Values

    - #### VERIFICATION_FAILED

          public static final byte VERIFICATION_FAILED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CertificateException

          public CertificateException(String var0,
                              Certificate var1,
                              byte var2)

    - #### CertificateException

          public CertificateException(Certificate var0,
                              byte var1)

  - ### Method Detail

    - #### getCertificate

          public Certificate getCertificate()

    - #### getReason

          public byte getReason()